=== debian/changelog ===
libcotp (1.2.2-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 13 Jul 2020 20:22:55 +0000

libcotp (1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #959689)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 04 May 2020 01:09:40 +0000
