=== debian/changelog ===
libcotp (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3.
  * debian/patches/use_debhelper_CFLAGS.patch: added 'Forwarded: not-needed'.
  * debian/watch: fixed syntax of pgpsigurlmangle option.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sun, 27 Sep 2020 05:17:01 +0000
