=== debian/control ===
Source: libcotp
Section: libs
Priority: optional
Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libbaseencode-dev,
               libgcrypt20-dev,
               pkg-config
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/paolostivanin/libcotp
Vcs-Browser: https://salsa.debian.org/debian/libcotp
Vcs-Git: https://salsa.debian.org/debian/libcotp.git

Package: libcotp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcotp12 (= ${binary:Version}), ${misc:Depends}
Description: C library that generates TOTP and HOTP (development)
 C library that generates TOTP and HOTP according to RFC-6238.
 .
 This package contains the files needed to compile and link
 programs which use this library.

Package: libcotp12
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library that generates TOTP and HOTP
 C library that generates TOTP and HOTP according to RFC-6238.
 .
 This package contains shared library object.
