=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/v?@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/v$1\/v$1\.tar\.gz\.asc/ \
https://github.com/paolostivanin/libcotp/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
