## libcotp 1.2.3-1%2B10.0trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,9 @@
 
 set(COTP_HEADERS src/cotp.h)
 set(SOURCE_FILES src/otp.c)
-
-set(CMAKE_C_FLAGS "-Wall -Wextra -O3 -Wno-format-truncation -fstack-protector-strong -fPIC")
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3")
+# Removed on Debian in favor of flags set by debhelper
+#set(CMAKE_C_FLAGS "-Wall -Wextra -O3 -Wno-format-truncation -fstack-protector-strong -fPIC")
+#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3")
 
 add_library(cotp SHARED ${SOURCE_FILES})
