=== debian/changelog ===
libcotp (1.2.3-1+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from Debian stable as a dependency for otpclient

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 19 Sep 2021 18:07:02 +0000
