=== debian/changelog ===
libcotp (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4.
  * Bump Standards-Version to 4.6.0.1.
  * Update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 29 Dec 2021 14:05:36 +0000

libcotp (1.2.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1.
  * Update debian/watch.
  * debian/gbp.conf: replace debian/master with debian/latest.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 16 Aug 2021 15:55:37 +0000
