=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libbaseencode-dev,
                libgcrypt20-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/libcotp
 Vcs-Browser: https://salsa.debian.org/debian/libcotp
