=== debian/changelog ===
libcotp (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6.
  * Bump Standards-Version to 4.6.1.
  * Update my email address.
  * Update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 13 Jun 2022 16:15:26 +0000
