=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libcotp
 Section: libs
 Priority: optional
-Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
+Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libbaseencode-dev,
                libgcrypt20-dev,
                pkg-config
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/libcotp
 Vcs-Browser: https://salsa.debian.org/debian/libcotp
