=== debian/changelog ===
libcotp (1.2.8-1) unstable; urgency=medium

  * New upstream version 1.2.8. (Closes: #1028305)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 16 Jan 2023 21:01:00 +0000

libcotp (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 05 Jan 2023 15:55:03 +0000

libcotp (1.2.6-2) unstable; urgency=medium

  * Update the search rule in debian/watch.
  * Drop debian/salsa-ci.yml.
  * Update packaging copyright years.
  * Bump Standards-Version to 4.6.2.
  * Update libcotp12 package description.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 03 Jan 2023 14:27:08 +0000
