=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libbaseencode-dev,
                libgcrypt20-dev,
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/libcotp
 Vcs-Browser: https://salsa.debian.org/debian/libcotp
@@ -31,4 +31,4 @@
 Description: C library that generates TOTP and HOTP
  C library that generates TOTP and HOTP according to RFC-6238.
  .
- This package contains shared library object.
+ This package contains the shared library object.
