## libcotp 2.0.1

=== debian/changelog ===
libcotp (2.0.1-2) unstable; urgency=medium

  * Remove libbaseencode-dev from Build-Depends field.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 27 Jun 2023 19:11:36 +0000

libcotp (2.0.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Wed, 21 Jun 2023 17:18:27 +0000

libcotp (2.0.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.0.1.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 12 Jun 2023 19:01:26 +0000

libcotp (2.0.0-1) experimental; urgency=medium

  * New upstream version 2.0.0.
  * Drop debian/patches/use_debhelper_CFLAGS.patch.
  * Drop debian/libcotp12.install and debian/libcotp12.symbols.
  * Add debian/libcotp2.install and debian/libcotp2.symbols.
  * SONAME change: libcotp12 -> libcotp2.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 10 Jan 2023 12:36:19 +0000
