=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libbaseencode-dev,
                libgcrypt20-dev,
                pkg-config
 Standards-Version: 4.6.2
@@ -17,14 +16,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcotp12 (= ${binary:Version}), ${misc:Depends}
+Depends: libcotp2 (= ${binary:Version}), ${misc:Depends}
 Description: C library that generates TOTP and HOTP (development)
  C library that generates TOTP and HOTP according to RFC-6238.
  .
  This package contains the files needed to compile and link
  programs which use this library.
 
-Package: libcotp12
+Package: libcotp2
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
