=== debian/changelog ===
libcotp (3.0.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 02 Aug 2024 12:47:56 +0000

libcotp (3.0.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 19 Dec 2023 17:57:38 +0000

libcotp (3.0.0-1~exp1) experimental; urgency=medium

  * New upstream version 3.0.0.
  * Run 'wrap-and-sort -a'.
  * SONAME change: libcotp2 -> libcotp3.
  * Rename debian/libcotp2.install to debian/libcotp3.install.
  * Rename debian/libcotp2.symbols to debian/libcotp3.symbols.
  * Update debian/libcotp3.symbols.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Wed, 13 Dec 2023 19:04:35 +0000

libcotp (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
  * Update debian/libcotp2.symbols.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 30 Nov 2023 15:30:09 +0000

libcotp (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 02 Nov 2023 21:13:23 +0000
