=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               cmake,
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                libgcrypt20-dev,
                pkg-config
 Standards-Version: 4.6.2
@@ -16,17 +16,19 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcotp2 (= ${binary:Version}), ${misc:Depends}
+Depends: libcotp3 (= ${binary:Version}),
+         ${misc:Depends}
 Description: C library that generates TOTP and HOTP (development)
  C library that generates TOTP and HOTP according to RFC-6238.
  .
  This package contains the files needed to compile and link
  programs which use this library.
 
-Package: libcotp2
+Package: libcotp3
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: C library that generates TOTP and HOTP
  C library that generates TOTP and HOTP according to RFC-6238.
  .
