=== debian/changelog ===
libcotp (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0.
  * Bump Standards-Version to 4.7.0.
  * Change from pkg-config to pkgconf in the Build-Depends field.
  * Add new upstream rights and update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 08 Oct 2024 15:32:45 +0000
