=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libgcrypt20-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/paolostivanin/libcotp
 Vcs-Browser: https://salsa.debian.org/debian/libcotp
