## libcotp 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(cotp VERSION "3.1.0" LANGUAGES "C")
+project(cotp VERSION "3.1.1" LANGUAGES "C")
 
 set(CMAKE_C_STANDARD 11)
