=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,14 @@
 add_executable (test_base32encode test_base32encode.c)
 add_executable (test_base32decode test_base32decode.c)
 
-target_link_libraries (test_cotp -lcotp -lcriterion -lgcrypt)
-target_link_libraries (test_base32encode -lcotp -lcriterion -lgcrypt)
-target_link_libraries (test_base32decode -lcotp -lcriterion -lgcrypt)
+if("${HMAC_WRAPPER}" STREQUAL "gcrypt")
+    set(HMAC_LIBRARIES ${GCRYPT_LIBRARIES})
+elseif("${HMAC_WRAPPER}" STREQUAL "openssl")
+    set(HMAC_LIBRARIES ${OPENSSL_LIBRARIES})
+endif()
+target_link_libraries (test_cotp -lcotp -lcriterion ${HMAC_LIBRARIES})
+target_link_libraries (test_base32encode -lcotp -lcriterion ${HMAC_LIBRARIES})
+target_link_libraries (test_base32decode -lcotp -lcriterion ${HMAC_LIBRARIES})
 target_link_directories (test_cotp PRIVATE ${PROJECT_BINARY_DIR})
 target_link_directories (test_base32encode PRIVATE ${PROJECT_BINARY_DIR})
 target_link_directories (test_base32decode PRIVATE ${PROJECT_BINARY_DIR})
