=== debian/changelog ===
libcotp (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1.
  * Bump Standards-Version to 4.7.2.
  * Remove "Rules-Requires-Root: no" (default since dpkg 1.22.13).
  * Update upstream and packaging copyright years.
  * Update debian/watch from the old "version=4" syntax
    to the new "Version: 5" RFC-822 style format.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 30 Sep 2025 13:57:11 +0000
