=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
                debhelper-compat (= 13),
                libgcrypt20-dev,
                pkgconf
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/paolostivanin/libcotp
 Vcs-Browser: https://salsa.debian.org/debian/libcotp
 Vcs-Git: https://salsa.debian.org/debian/libcotp.git
